RNifti Fast R and C++ Access to NIfTI Images

Public Member Functions | List of all members
RNifti::NiftiImageData::ConcreteTypeHandler< rgba32_t, alpha > Struct Template Reference
Inheritance diagram for RNifti::NiftiImageData::ConcreteTypeHandler< rgba32_t, alpha >:

## Public Member Functions
size_t | size () const
int | getInt (void *ptr) const
rgba32_t | getRgb (void *ptr) const
void | setInt (void *ptr, const int value) const
void | setRgb (void *ptr, const rgba32_t value) const
void | minmax (void *ptr, const size_t length, double *min, double *max) const
bool | hasNaN () const
complex128_t | getComplex (void *ptr) const
double | getDouble (void *ptr) const
void | setComplex (void *ptr, const complex128_t value) const
void | setDouble (void *ptr, const double value) const

## Member Function Documentation

## ◆ getComplex()

complex128_t RNifti::NiftiImageData::ConcreteTypeHandler< rgba32_t, alpha >::getComplex | ( | void * | ptr | ) | const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ getDouble()

double RNifti::NiftiImageData::ConcreteTypeHandler< rgba32_t, alpha >::getDouble | ( | void * | ptr | ) | const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ getInt()

template<bool alpha>

int RNifti::NiftiImageData::ConcreteTypeHandler< rgba32_t, alpha >::getInt | ( | void * | ptr | ) | const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ getRgb()

template<bool alpha>

rgba32_t RNifti::NiftiImageData::ConcreteTypeHandler< rgba32_t, alpha >::getRgb | ( | void * | ptr | ) | const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ hasNaN()

bool RNifti::NiftiImageData::ConcreteTypeHandler< int >::hasNaN | ( |  | ) | const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ minmax()

template<bool alpha>

void RNifti::NiftiImageData::ConcreteTypeHandler< rgba32_t, alpha >::minmax | ( | void * | ptr,
|  | const size_t | length,
|  | double * | min,
|  | double * | max ) const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ setComplex()

void RNifti::NiftiImageData::ConcreteTypeHandler< rgba32_t, alpha >::setComplex | ( | void * | ptr,
|  | const complex128_t | value ) const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ setDouble()

void RNifti::NiftiImageData::ConcreteTypeHandler< rgba32_t, alpha >::setDouble | ( | void * | ptr,
|  | const double | value ) const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ setInt()

template<bool alpha>

void RNifti::NiftiImageData::ConcreteTypeHandler< rgba32_t, alpha >::setInt | ( | void * | ptr,
|  | const int | value ) const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ setRgb()

template<bool alpha>

void RNifti::NiftiImageData::ConcreteTypeHandler< rgba32_t, alpha >::setRgb | ( | void * | ptr,
|  | const rgba32_t | value ) const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ size()

template<bool alpha>

size_t RNifti::NiftiImageData::ConcreteTypeHandler< rgba32_t, alpha >::size | ( |  | ) | const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

The documentation for this struct was generated from the following file:

- inst/include/RNifti/NiftiImage.h